Commit 526c2179 authored by Laurent Montel's avatar Laurent Montel 😁

GIT_SILENT: time to increase qt version as kf5-5.77 will depend against it.

parent 6dd8ae14
Pipeline #44657 skipped
......@@ -67,7 +67,7 @@ set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(QT_REQUIRED_VERSION "5.13.0")
set(QT_REQUIRED_VERSION "5.14.0")
set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "5")
......
......@@ -672,11 +672,7 @@ QList<int> POP3Resource::shouldDeleteId(int downloadedId) const
mIdsToSaveValid = true;
mIdsToSave.clear();
#if QT_VERSION < QT_VERSION_CHECK(5, 14, 0)
const QSet<int> idsOnServer = QSet<int>::fromList(idsToDeleteFromServer);
#else
const QSet<int> idsOnServer(idsToDeleteFromServer.constBegin(), idsToDeleteFromServer.constEnd());
#endif
// If the time-limited leave rule is checked, add the newer messages to
// the list of messages to keep
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment